:root {
    --menu-width: 17.5rem;
    --header-height: 3rem;
    --header-height-zoomed: 2.375rem;
}

body {
    font-family: var(--sds-font-family) !important;
    min-height: 100vh;
    min-height: 100dvh;
}

#sds-main-content .container-fluid {
    padding: unset !important;
}

#sds-main-container .logo-btn-wreapper {
    min-width: var(--menu-width);
}

#sds-main-container .logo-btn-wreapper,
#sds-main-container #sds-sidebar .sds-sidebar-list {
    width: var(--menu-width);
    max-width: 100%;
}

#sds-main-container #sds-sidebar-mobile-content {
    width: 310px;
    border-right: 1px #d2d2d2 solid;
    min-height: 100vh;
    min-height: 100dvh;
    max-height: 100vh;
    max-height: 100dvh;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 16px 0;
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
}

#sds-main-container #sds-main-content {
    /*width: 100%;*/
    height: calc(100vh - var(--header-height));
    height: calc(100dvh - var(--header-height));
    overflow-y: auto;
    overflow-x: hidden;
}

.sds-page-heading {
    font-family: Inter;
    font-size: 1.125rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.75rem;
}

#sds-app {
    padding:0.5rem 0.5rem 0.5rem 1rem;
    height: calc(100vh - var(--header-height));
    height: calc(100dvh - var(--header-height));
}

.sds-checkbox-default {
    width: 1.125rem;
    height: 1.125rem;
    border-radius: 4px;
    border: 1px solid var(--sds-grey-500);
    background: var(--sds--grey-100);
    accent-color: var(--sds-primary);
}

.sds-page-heading-divider {
    background: var(--sds-grey-400);
    height: 1px;
    width: 100%;
    margin: 0.75rem 0;
}

.sds-page-sub-heading-divider {
    background: var(--sds-grey-400);
    height: 1px;
    width: 100%;
}

/*************************/
/* NAV TAB STYLING*/
/*************************/
.nav {
    overflow: hidden;
    overflow-x: auto;
    width: 100%;
    flex-wrap: nowrap;
}


.nav-tabs {
    margin-bottom: 0.5rem;
    border-bottom: 1px solid var(--sds-grey-400);
    gap: 1rem;
}

.nav-tabs .nav-link {
    color: var(--sds-grey-700);
    display: flex;
    height: 2.25rem;
    padding: 0rem 0.25rem 0.75rem 0.25rem;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    /* margin-right: 1rem; */
    font-size: 0.875rem;
    font-weight: 600;
    line-height: 1.25rem;
    border: none;
    border-bottom: 2px solid transparent;
}

.nav-tabs .nav-link,
.nav-item {
    flex: 0 0 auto;
}

.nav-tabs .nav-link.active {
    color: var(--sds-primary-600);
    background: transparent;
    border: none;
    border-bottom: 2px solid var(--sds-primary-600);
}

/* breadcrumb text overflow ellipsis */
#return-to-main-list-icon-wrapper.return-to-main-list~div {
    overflow: hidden;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    word-break: break-all;
}

/* Application Css Override */
input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    margin-left: .4em;
    background-image: url('../Images/icons/clear-search.svg');
    cursor: pointer;
}

::-webkit-scrollbar-thumb {
    /* background: var(--sds-primary)!important; */
    border-radius: 0.3125rem !important;
}

::-webkit-scrollbar {
    width: 0.25rem !important;
    height: 0.25rem !important;
}

::-webkit-scrollbar-track {
    background: var(--sds-grey-400)!important;
}

.dx-scrollable-scroll-content {
    background: var(--sds-primary) !important;
}

.dx-popup-wrapper.dx-overlay-modal {
    pointer-events: auto;
    background-color: rgba(45, 50, 50, 0.60);
}

.dx-calendar-cell.dx-calendar-selected-date span {
    background-color: var(--primary-500, #0B9294) !important;
    border: 0.5px solid var(--primary-500, #0B9294) !important;
}

.dx-calendar-cell.dx-calendar-today span {
    border: 0.5px solid var(--primary-500, #0B9294) !important;
}

.dx-calendar-cell.dx-state-hover span {
    background-color: var(--primary-100, #0B9294) !important;
}

.dx-calendar-cell.dx-calendar-contoured-date span {
    box-shadow: 0 0 0 0.5px var(--primary-500, #0B9294) !important;
}

.modal.bt-modal {
    background: rgb(255 255 255 / 80%);
    /* backdrop-filter: blur(2px); */
}

.modal.bt-modal .modal-content {
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
}

.btn {
    box-shadow: none !important;
}

.pull-right {
    float: right;
}

.pull-left {
    float: left;
}

/*************************/
/* DEVEXTREME STYLING OVERIDE*/
/*************************/

/*.dx-overlay-shader {
    background: rgba(45, 50, 50, 0.60) !important;
}*/

*::-webkit-scrollbar-thumb {
    background: transparent;
}

*::-webkit-scrollbar-track {
    background: transparent;
}

*:hover::-webkit-scrollbar-thumb {
    background: var(--sds-primary) !important;
    opacity: 1;
}

*:hover::-webkit-scrollbar-track {
    background: var(--sds-grey-400) !important;
}

.ace_editor:hover *::-webkit-scrollbar-thumb {
    background: var(--sds-primary);
    opacity: 1;
}

.ace_editor:hover *::-webkit-scrollbar-track {
    background: var(--sds-grey-400);
}

/* Initially hide DevExtreme scrollbars */
.dx-scrollable-scrollbar {
    opacity: 0;
    transition: opacity 0.3s;
}

/* Show on hover */
.dx-scrollable-container:hover>.dx-scrollable-scrollbar {
    opacity: 1;
}

/* Optional: Custom color for the scrollbar */
.dx-scrollable-scrollbar-horizontal,
.dx-scrollable-scrollbar-vertical {
    background-color: var(--sds-primary);
    /* match your theme variable */
}

/* Optional: Custom for DxFilterBuilder */

.dx-filterbuilder-range {
    display: flex;
    align-items: center;
    height: 100%;
}

.dx-filterbuilder .dx-filterbuilder-group .dx-filterbuilder-group-item .dx-filterbuilder-text {
    align-content: center;
}

    .dx-filterbuilder .dx-filterbuilder-group .dx-filterbuilder-group-item .dx-filterbuilder-text.dx-filterbuilder-item-field {
        word-break: break-all;
        white-space: normal;
    }

    .dx-filterbuilder .dx-filterbuilder-group .dx-filterbuilder-group-item .dx-filterbuilder-text.dx-filterbuilder-item-operation {
        min-width: auto !important;
    }

@media screen and (max-width: 1024px) {
    #sds-app {
        padding: 0.5rem 0.75rem;
    }

    .tab-pane.show {
        margin-right: 0rem;
        overflow-x: hidden;
    }
}

.sds-btn-disabled {
    pointer-events: none;
    /* Disable all click events */
    opacity: 0.5;
    /* Make it look disabled */
    cursor: not-allowed;
    /* Change cursor to default arrow */
}

/* When actively dragging scrollbar, force to stay visible */
.dx-scrollable-scrollbar-active {
    opacity: 1 !important;
}

.dx-dashboard-widget-container .dx-texteditor-input-container .dx-placeholder::before {
    visibility: visible !important;
}

:focus {
    outline: none;
}

.sds-datatable .dx-datagrid .dx-datagrid-headers.dx-state-focused .dx-header-row td .dx-header-filter:focus,
.sds-datatable .dx-datagrid .dx-datagrid-headers.dx-state-focused .dx-header-row td:focus {
    outline: var(--sds-primary-400) solid 2px;
}

.sds-custom-focus :focus,
.sds-custom-focus .btn:focus,
.sds-custom-focus #sds-topbar .btn:focus,
.sds-custom-focus #sds-main-container .sds-card .btn:focus {
    box-shadow: inset 0px 0px 1px 2px var(--sds-primary-400) !important;
    outline: none;
}

/* override the styles on zoom 200 and above */
#sds-main-container.override-zoom-styles #sds-app #application-dashboard-container #js-dashboard-header-div .dashboard-header-title-wrapper,
#sds-main-container.override-zoom-styles #sds-app #application-dashboard-container #js-dashboard-header-div {
    gap: 0rem !important;
}

#sds-main-container.override-zoom-styles #sds-topbar .navbar-default-layout {
    height: var(--header-height-zoomed) !important;
}

#sds-main-container.override-zoom-styles #top-menu-section .sds-topbar-list {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

#sds-main-container.override-zoom-styles #top-menu-section .sds-topbar-list .menu-link {
    padding: 0.2rem 1.3rem !important;
}

#sds-main-container.override-zoom-styles #sds-horizontal-menu #top-menu-container #sds-topbar-list-wrapper::before,
#sds-main-container.override-zoom-styles #sds-horizontal-menu #top-menu-container #sds-topbar-list-wrapper::after {
    height: 32px !important;
}

#sds-main-container.override-zoom-styles .sds-menu-action-item-wrapper .btn-primary {
    line-height: 28px !important;
    padding-left: 8px !important;
    padding-right: 8px !important;
}

#sds-main-container.override-zoom-styles .sds-search-text {
    height: 28px !important;
}

#sds-main-container.override-zoom-styles #sds-app {
    padding-top: 4px !important;
}

#sds-main-container.override-zoom-styles #sds-main-content,
#sds-main-container.override-zoom-styles #sds-main-content #sds-app  {
    height: calc(100vh - var(--header-height-zoomed)) !important;
    height: calc(100dvh - var(--header-height-zoomed)) !important;
}